Subject: RE: bug#39185: [PATCH] Don't include section "Recent messages" in bug reports

From: Drew Adams <[email-masked]>
Date: Sun, 19 Jan 2020 11:24:32 -0800 (PST)

> >> Does anyone object to installing the below patch on master?
> >
> > I do.  What if a user wants to include that info in a
> > particular bug report, e.g., where it's relevant?
> > Why not make it easy for a user to include it, even
> > if by default it's excluded?
> 
> I don't think that feature request should stop us from moving ahead
> with this potentially serious privacy issue.

It's not about that.  It's not about preventing you
from avoiding such privacy problems.  It's all about
getting those fixed now.  And doing it right, in a
flexible way that covers everything that could - by
users' own determinations - be a privacy issue.

> If someone later wants to re-add an option to include messages, and
> configure the bug reports along the lines you suggest, they are free
> to work on that.

That's the wrong way to deal with this issue, IMO.
It's just punting - kicking the can down the road.

And it's not as if a general solution is somehow
difficult to conceive or hard to implement.  Not at
all.

I really don't understand the myopia that narrows the
focus to trying to decide what is _the_ potentially
private info, and then wants to hard-code its exclusion.